package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;
import com.dev.swms.server.model.base.Pilot;
import com.dev.swms.server.model.base.Transportation;
import com.dev.swms.server.model.base.TransportationType;
import com.dev.energy.server.service.BaseManager;

@Transactional(readOnly = true)
public interface TransportationManager extends BaseManager {
	/**
	 * @Description：司机信息编辑
	 * @param pilot
	 */
	@Transactional
	void storePilot(Pilot pilot);
	
	/**
	 * @Description：司机信息失效
	 * @param ids
	 */
	@Transactional
	void disabledPilot(List<Long> ids);
	
	/**
	 * @Description：司机信息恢复
	 * @param ids
	 */
	@Transactional
	void reUsePilot(List<Long> ids);
	
	/**
	 * @Description：车型信息维护
	 * @param type
	 */
	@Transactional
	void storeTransportationType(TransportationType type);
	
	/**
	 * @Description：车型信息失效
	 * @param ids
	 */
	@Transactional
	void disabledTransportationType(List<Long> ids);
	
	/**
	 * @Description：车型信息恢复
	 * @param ids
	 */
	@Transactional
	void reUseTransportationType(List<Long> ids);
	
	/**
	 * @Description：车辆信息维护
	 * @param transportation
	 */
	@Transactional
	void storeTransportation(Transportation transportation);
	
	/**
	 * @Description：车辆信息失效
	 * @param ids
	 */
	@Transactional
	void disabledTransportation(List<Long> ids);
	
	/**
	 * @Description：车辆信息恢复
	 * @param ids
	 */
	@Transactional
	void reUseTransportation(List<Long> ids);

}
